Name:          typica
Version:       1.7.2
Release:       %mkrel 1
Summary:       A Java client library for a variety of Amazon Web Services
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/typica/
# svn export http://typica.googlecode.com/svn/tags/v1.7.2/ typica-1.7.2
# tar czf typica-1.7.2-src-svn,tar.gz typica-1.7.2
Source0:       typica-1.7.2-src-svn,tar.gz
# http://repo1.maven.org/maven2/com/google/code/typica/typica/1.7.2/typica-1.7.2.pom
Source1:       typica-1.7.2-modified.pom

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: apache-commons-codec
BuildRequires: apache-commons-logging
BuildRequires: bea-stax-api
BuildRequires: glassfish-jaf
BuildRequires: glassfish-jaxb
BuildRequires: glassfish-jaxb-api
BuildRequires: httpcomponents-client
BuildRequires: httpcomponents-core
BuildRequires: jetty
BuildRequires: tomcat6-servlet-2.5-api

Requires:      apache-commons-codec
Requires:      apache-commons-logging
Requires:      bea-stax
Requires:      glassfish-jaf
Requires:      glassfish-jaxb
Requires:      httpcomponents-client
Requires:      httpcomponents-core
Requires:      tomcat6-servlet-2.5-api

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
This is a simple API to access Amazon's SQS, EC2, CloudWatch, AutoScaling, ELB, SimpleDB, SNS, FPS and
DevPay LS web services. It uses the QUERY APIs. This code is thread-safe and works very reliably to the
best of my knowledge. I've been using it on a system where sending messages in SQS is critical and
we manage pools of servers on EC2. 

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

for j in $(find . -name "*.jar"); do
#  rm -rf $j
    mv $j  $j.no
done

rm -rf dist/*

ln -sf $(build-classpath commons-codec) lib/commons-codec-1.4.jar
ln -sf $(build-classpath commons-logging) lib/commons-logging-1.1.1.jar
ln -sf $(build-classpath jetty/jetty) lib/
ln -sf $(build-classpath jetty/jetty-util) lib/
ln -sf $(build-classpath tomcat6-servlet-2.5-api) lib/
ln -sf $(build-classpath glassfish-jaf) lib/activation.jar
# TODO 
#ln -sf $(build-classpath jaxb-api) lib/
mv lib/jaxb-api.jar.no lib/jaxb-api.jar
#ln -sf $(build-classpath jaxb-impl) lib/ 
mv lib/jaxb-impl.jar.no lib/jaxb-impl.jar
#ln -sf $(build-classpath jaxb-xjc) lib/
mv lib/jaxb-xjc.jar.no lib/jaxb-xjc.jar
ln -sf $(build-classpath bea-stax-api) lib/jsr173_1.0_api.jar
ln -sf $(build-classpath httpcomponents/httpclient) lib/httpclient-4.0.1.jar
ln -sf $(build-classpath httpcomponents/httpcore) lib/httpcore-4.0.1.jar

for c in $(find . -name "*.class"); do
  rm -rf $c
done
#sed -i 's|<fileset dir="${typica.lib}" includes=|<fileset dir="%{_javadir}" includes=|' build.xml

%build

ant jar javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/jar/%{name}.jar %{buildroot}%{_javadir}/

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt README

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Dec 08 2011 gil <gil> 1.7.2-1.mga2
+ Revision: 179069
- tried to fix build
- check removed
- chech jaxb-api in %%_jvmdir/java/jre/lib/endorsed
- edit spec file
- imported package typica

